Skip to main content
POST
Create

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-08-17.everglades"

Query Parameters

expand
enum<string>[]

Fields to expand on the group resource.

Available options:
parent
Example:

Body

application/json
name
string
required

The name of the group.

Example:

"Robots"

parent_id
string | null

ID of the parent group. Omit or set to null to create a top-level group.

Example:

"grp_456"

Response

200 - application/json

Successfully created the group.

object
enum<string>
required

The object type, which is always group.

Available options:
group
Example:

"group"

id
string
required

ID of the group.

Example:

"grp_123"

name
string
required

Name of the group.

Example:

"production"

parent_id
string | null
required

ID of the parent group. Null for top-level groups.

Example:

"grp_456"

created_at
string<date-time>
required

Timestamp of when the group was created.

Example:

"2026-01-01T00:00:00Z"

updated_at
string<date-time>
required

Timestamp of when the group was last updated.

Example:

"2026-01-01T00:00:00Z"

parent
any | null

The parent group. Null for top-level groups. Expand using expand=parent in the query string.

Last modified on August 17, 2026